'use strict';

angular.module('solac', [])
  .controller('HelloWorldController', function ($scope) {
    $scope.address = {
      name: 'Nadeen Southgate Address',
      address_line_1:'34 Kendle Crescent',
      address_line_2:'Newberg',
      postal_code:'7900',
      city: 'Cape Town',
      country: {
        name: 'SA'
      },
      created_at: '15/04/2016',
      contact_name: 'Nadeen Southgate',
      phone: '0756265898',
      fax: '0215896536',
      email: 'nadeen@acme.com'
    };
  })
  .directive("helloWorld", function () {
    return {
      restrict: "AE",
      controller: 'HelloWorldController',
      controllerAs: 'ctrl',
      template: `
        <h1>Hello</h1>
      `
    };
  }); 
